function ret_val = discoverKeaCameras()
  % discoverKeaCameras
  %   Discover all available kea cameras
  %
  % Output:
  %   ret_val - vector[DiscoveredKea] - All available kea cameras
  %

  ret_val = tof.mex('tof_discover_kea_cameras');
  ret_val = arrayfun(@(vec_obj)tof.DiscoveredKea(vec_obj), ret_val);
end

